Supported Operating Systems: Linux

The Linux Agent is tested and supported on specific Linux distributions. The following tables provide feature support details for each distribution.

The Linux Agent is available for servers only.


Linux Agent Version 1 is no longer tested, developed or supported. Any version of Linux Agent Version 1 is provided "as is".

The following icons indicate the feature support status:

Key Status Description
Supported Fully tested and supported. Actively updated and improved.
Compatible Not tested or supported. Defect fixes not prioritized.
Deprecated No longer tested or supported. Development ended.
Not Compatible Feature not compatible with the Operating System

The following table shows feature support for each supported Linux distribution. New features are added to the table as they become supported by one or more distributions.

Distribution Remote Monitoring Dashboard Controls Restart Daemon Asset Tracking Automated Tasks
RedHat RHEL 7
RedHat RHEL 8
CentOS 7
CentOS 8
Fedora 30
Fedora 31
Fedora 32
SLE 12 SP1
SLE 12 SP2
SLE 12 SP3
SLE 12 SP4
SLE 15
SLE 15 SP1
openSUSE Leap 15.1
openSUSE Leap 15.2
Debian 8.0
Debian 9.0
Debian 10.0
Ubuntu 16.04 LTS
Ubuntu 18.04 LTS
Ubuntu 19.04
Ubuntu 19.10
Ubuntu 20.04 LTS

*  Using i386 package for CentOS 5
** Using xUbuntu 13.04 package

Linux Agent notes

  • Linux Agent supports real-time monitoring so you can set the 24x7 Check frequency from 5 minutes through to 120 minutes
  • Linux Agent supports Linux Automated Tasks
  • Linux Agent replaced the repository Agent installation and update process with Dashboard downloadable packages, Remote Worker Site Installation Package and automatic updates
  • Linux Agent 2.01 supports Monitoring Templates
  • Linux Agent 2.0.4 and later versions support Raspberry Pi with a dedicated Debian installer available for both 32 and 64-bit ARM architectures. This release supports:
    • Raspberry Pi OS, based on Debian 10 or later (32 bit only)
    • Ubuntu 20.04 or later
  • Linux Agent 2.04 and later versions do not support for the following distributions:
    • Debian 8 (amd64)
    • Ubuntu 19.04, 19.10 (amd64)
    • Fedora 30 (x86_64)